<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<th:block th:replace="layout/basic :: setContent(~{this::content} )">

	<th:block th:fragment="content">


		<h1>인천시 공연장 목록</h1>
		
		<!-- 검색기능 추가 -->
		<form action="/showstage/search" method="GET">
		<div style="position: absolute; top: 40px; right: 0%; width: 500px;">
  		<input style="width: 70%; border: 2px solid #2A403D; border-radius: 8px; padding: 7px; font-size: 15px; margin-left:75px;" name="keyword" type="text" placeholder="검색어 입력">
		<button style="position: absolute; top: 8px; right: 30px; background-color: transparent; border: none;">
    	<img style="width: 25px; margin: 0;" src="https://s3.ap-northeast-2.amazonaws.com/cdn.wecode.co.kr/icon/search.png" alt="검색 아이콘">
  		</button>
		</div>
		</form>

		<!-- 테이블 시작 -->
		<table style="margin-top:25px;" class="table table-striped">
			<thead>
				<tr>
					<th style="text-align: center;" scope="col">No.</th>
					<th style="text-align: center;" scope="col">공연장이름</th>
					<th style="text-align: center;" scope="col">주소</th>
					<th style="text-align: center;" scope="col">사이트</th>
					<th style="text-align: center;" scope="col">전화번호</th>
					<th style="text-align: center;" scope="col">등록일</th>
				</tr>
			</thead>
			<tbody>
				<tr th:each="dto : ${list}">
				<td style="width: 0.5%; text-align: center;">[[${dto.no}]]</td>					
					<th style="width: 20%;" scope="row">
						<a th:href="@{/showstage/read(no = ${dto.no}, page= ${list.number + 1})}">
						[[${dto.showstageName}]]
						</a>
					</th>
					<td style="width: 30%;">[[${dto.address}]]</td>
					<td style="width: 30%;">[[${dto.site}]]</td>
					<td style="width: 12%; text-align: center;">[[${dto.phoneNumber}]]</td>
					<td style="width: 5%; text-align: center;">[[${#temporals.format(dto.regDate, 'yyyy/MM/dd')}]]</td>
				</tr>

			</tbody>
		</table>
		
		
				 	<span>
                <a th:href="@{/showstage/register}">
                    <button type="button" class="btn btn-outline-primary" sec:authorize="hasRole('ROLE_ADMIN')">공연장 등록</button>
                </a>
            </span>
		
	    <ul class="pagination h-100 justify-content-center align-items-center">

	         <li th:class=" 'page-item ' + ${(list.number + 1) == page?'active':''} " th:each="page: ${#numbers.sequence(1, list.totalPages)}">
                <a class="page-link" th:href="@{/showstage/list(page = ${page})}">
                    [[${page}]]
                </a>
            </li>
        
        </ul>
		<script th:inline="javascript">
			$(document).ready(function(){
			  // 실행할 기능을 정의
			  var msg = [[${msg}]]
			  if(msg != null){
				  alert(msg + "번 글이 등록되었습니다.");
			  }
			});
		</script>
		
	</th:block>

</th:block>